// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

package com.example.skt

/** Receiver of GoogleMap configuration options.  */
internal interface CircleOptionsSink {

    fun setCameraTargetBounds(bounds: Any)

    fun setCompassEnabled(compassEnabled: Boolean)

    fun setMinMaxZoomPreference(min: Float?, max: Float?)

    fun setRotateGesturesEnabled(rotateGesturesEnabled: Boolean)

    fun setScrollGesturesEnabled(scrollGesturesEnabled: Boolean)

    fun setZoomGesturesEnabled(zoomGesturesEnabled: Boolean)

    fun setInitialMarkers(initialMarkers: Any)

    fun setInitialPolylines(initialPolylines: Any)

    fun setInitialCircles(initialCircles: Any)
}
