library skt_example;

import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:skt/skt.dart';

class SktExample extends StatefulWidget {
  @override
  _SktExampleState createState() => _SktExampleState();
}

class _SktExampleState extends State<SktExample> {

  WebController webController;

  static final CameraPosition _kInitialPosition = const CameraPosition(
    target: LatLng(37.566474, 126.985022),
    zoom: 11.0,
  );

  CameraPosition _position = _kInitialPosition;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {

    final SKTMap SktMap = new SKTMap(
      initialCameraPosition: _kInitialPosition,
      onWebCreated: onWebCreated,
    );

    return MaterialApp(
      home: Scaffold(
          appBar: AppBar(
            title: const Text('Plugin example app'),
          ),
          body: Container(
              child: SktMap
          )
      ),
    );
  }

  void onWebCreated(webController) {
    this.webController = webController;
//    this.webController.loadUrl("https://flutter.io/");
  }
}
