# skt

Flutter plugin project for supporting SKT Maps

## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.

# skt-maps

[![Build Status](https://btcbuild.bmwgroup.com/buildStatus/icon?job=mobile20-skt-maps/master)](https://btcbuild.bmwgroup.com/view/runtime/job/mobile20-skt-maps/)

## Table of Contents

- [Mobile Docs Home Page](https://pages.code.connected.bmw/mobile20/mobile-docs/)
- [Styleguide](https://code.connected.bmw/mobile20/ui-styleguide/blob/master/README.md)

## Quick Start


### Get all packages

- For a single package, just run `flutter packages get`
- To pull for all the packages in the project, run `dart ./scripts/cli/cli.dart getPackages`

## Run the Linter / Dart Analyzer / Formatter

On the root, run `dartanalyzer --fatal-infos --fatal-warnings .`

#### Format

On the root, run `dartfmt -w .`

## Run the tests

### Unit and Widget tests

- Run: `flutter test`

#### Get code coverage report

- On Jenkins, on every build there will be an option called `Test Coverage Report` that will display the report for the given build.
- Locally:
  - Make sure you have `lcov` installed (On MacOS, `brew install lcov`).
  - Run unit tests with coverage and generate the HTML report: `./scripts/pipeline/generate_coverage.sh .`
  - Open `./coverage/html_report/index.html` in your browser. Enjoy it! ;)

## Getting Started

For help getting started with Flutter, view our online
[documentation](https://flutter.dev/).
